org.apache.sysds.runtime.util

## Class DependencyTask<E>

- java.lang.Object
- - org.apache.sysds.runtime.util.DependencyTask<E>

- All Implemented Interfaces:
    Callable<E>
  Direct Known Subclasses:
    DependencyWrapperTask

      public class DependencyTask<E>
      extends Object
      implements Callable<E>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<DependencyTask<?>>` | `_dependencyTasks`
    `static boolean` | `ENABLE_DEBUG_DATA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyTask(Callable<E> task, List<DependencyTask<?>> dependantTasks)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDependent(DependencyTask<?> dependencyTask)`
    `void` | `addPool(ExecutorService pool)`
    `void` | `assignFuture(CompletableFuture<Future<?>> f)`
    `E` | `call()`
    `boolean` | `isReady()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENABLE_DEBUG_DATA

          public static final boolean ENABLE_DEBUG_DATA

      See Also:
        Constant Field Values

    - #### _dependencyTasks

          public List<DependencyTask<?>> _dependencyTasks

  - ### Constructor Detail

    - #### DependencyTask

          public DependencyTask(Callable<E> task,
                                List<DependencyTask<?>> dependantTasks)

  - ### Method Detail

    - #### addPool

          public void addPool(ExecutorService pool)

    - #### assignFuture

          public void assignFuture(CompletableFuture<Future<?>> f)

    - #### isReady

          public boolean isReady()

    - #### addDependent

          public void addDependent(DependencyTask<?> dependencyTask)

    - #### call

          public E call()
                 throws Exception

      Specified by:
        `call` in interface `Callable<E>`
      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.